python-psutil (5.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Sep 2022 22:08:18 -0400

python-psutil (5.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
  * debian/control
    - drop XS-Python-Version
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/watch
    - track github tags

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Dec 2021 22:30:40 -0500

python-psutil (5.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-psutil-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * remove -dbg package; Closes: #994364

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 19:31:08 -0400

python-psutil (5.8.0-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Jan 2021 23:22:15 -0500

python-psutil (5.7.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Oct 2020 18:36:07 -0400

python-psutil (5.7.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump compat level to 13
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jul 2020 22:40:28 -0400

python-psutil (5.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release; Closes: #960770
  * debian/patches/*
    - refresh patches
  * debian/copyright
    - extend packaging copyright years
  * debian/rules
    - update test runner location

 -- Sandro Tosi <morph@debian.org>  Sun, 17 May 2020 01:34:24 -0400

python-psutil (5.6.7-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938050

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Jan 2020 23:13:29 -0500

python-psutil (5.6.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upstream release, fix CVE-2019-18874; Closes: #944605
  * debian/patches/0001-dont-depend-on-install-when-running-tests.patch
    - refresh patch to new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Nov 2019 21:43:56 -0500

python-psutil (5.6.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/0002-pass-PYTHONPATH-to-the-test-runner.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Mar 2019 19:21:53 -0400

python-psutil (5.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 16 Feb 2019 19:44:57 -0500

python-psutil (5.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 28 Jan 2019 23:20:40 -0500

python-psutil (5.4.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Nov 2018 14:36:51 -0500

python-psutil (5.4.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/patches/*.patch
    - rebase for new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 20:46:43 -0400

python-psutil (5.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Dec 2017 21:10:10 -0500

python-psutil (5.4.1-1) unstable; urgency=medium

  * New upstream release; Closes: #881602
  * debian/control
    - bump Standards-Version to 4.1.1 (no changes needed)
    - remove all Priority: extra
    - move to python3-sphinx
    - add python3-sphinx-rtd-theme to b-d, needed for doc
  * debian/rules
    - use upstream Makefile to run tests
    - build doc with python3

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Nov 2017 20:51:53 -0500

python-psutil (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 14:23:41 -0500

python-psutil (5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * d/copyright: Changed licence shortname from BSD to BSD-3-clause
  * Bumped debhelper compat version to 10
  * d/watch: Use https
  * Enabled autopkgtest-pkg-python testsuite

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2016 17:46:55 -0500

python-psutil (4.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Oct 2016 15:56:41 -0400

python-psutil (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version t0 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2016 21:14:47 +0100

python-psutil (4.1.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/python-psutil-doc.examples
    - install examples from 'scripts' directory
  * debian/rules
    - run build also for the debug flavor
    - run unittests via runner.py
  * debian/control
    - bump Standards-Version t0 3.9.7 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Apr 2016 20:41:01 +0100

python-psutil (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - redirect Vcs-Git to https

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Feb 2016 22:23:04 +0000

python-psutil (3.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - add ipaddress and mock to b-d (needed by tests)
  * bump dh compat to 9

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Jan 2016 21:03:15 +0000

python-psutil (2.2.1-3) unstable; urgency=medium

  * upload to unstable; Closes: #794679

 -- Sandro Tosi <morph@debian.org>  Fri, 14 Aug 2015 21:41:57 +0100

python-psutil (2.2.1-2) experimental; urgency=medium

  * debian/{control, rules}
    - provide -dbg packages
  * provide -doc package

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Feb 2015 16:38:21 +0000

python-psutil (2.2.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - use PyPI redirector
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Feb 2015 20:27:15 +0000

python-psutil (2.2.0-1) experimental; urgency=medium

  * New upstream release
    - fix file descriptors leakage; thanks to Marc Leeman; Closes: #772543
  * debian/control
    - update Homepage to github
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/rules
    - update upstream changelog
    - install README.rst file in doc too

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Jan 2015 23:25:58 +0000

python-psutil (2.1.1-1) unstable; urgency=medium

  * New upstream release; thanks to Barry Warsaw for the report; Closes: #741291
  * debian/rules
    - remove obsolete get-orig-source target
    - build explicitly else the upstream Makefile is used
  * Switch to dh_python2; Closes: #637382
  * debian/copyright
    - switch to DEP-5 format
  * debian/control
    - switch me to Maintainer (team to Uploaders)
  * debian/{control, rules}
    - build and install documentation
  * debian/python-psutil.doc-base
    - added Doc base registration
  * debian/patches/remove-google-analytics.patch
    - remove Google Analytics tracking from documentation

 -- Sandro Tosi <morph@debian.org>  Sun, 04 May 2014 22:59:15 +0200

python-psutil (1.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - extended packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jan 2014 12:22:23 +0100

python-psutil (1.1.3-1) unstable; urgency=low

  * New upstream release; thanks to Barry Warsaw for the report; Closes: #729061

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Nov 2013 11:23:40 +0100

python-psutil (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Nov 2013 12:53:51 +0100

python-psutil (1.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - point download location to PyPI
  * debian/copyright
    - update download URL

 -- Sandro Tosi <morph@debian.org>  Sat, 12 Oct 2013 15:42:08 +0200

python-psutil (1.0.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * Upload to unstable
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Sep 2013 07:17:13 +0200

python-psutil (0.7.0-1) experimental; urgency=low

  * New upstream release
  * debian/rules
    - fix syntax error when executing the test suite; thanks to Julian Taylor
      for the report; Closes: #687316
  * debian/copyright
    - extended packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Apr 2013 19:28:13 +0200

python-psutil (0.6.1-2) experimental; urgency=low

  * debian/rules
    - refactor build and test targets
  * debian/{control, rules}
    - provide Python 3 package; Closes: #636526

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Aug 2012 21:52:43 +0200

python-psutil (0.6.1-1) experimental; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Aug 2012 19:22:23 +0200

python-psutil (0.6.0-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/rules
    - use hardening flags

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Aug 2012 21:58:48 +0200

python-psutil (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 29 Jun 2012 19:07:24 +0200

python-psutil (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/docs, python-psutil.doc-base
    - removed, docs no longer provided in the tarball
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Jun 2012 22:54:28 +0200

python-psutil (0.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - fix to correctly scan google code

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Dec 2011 18:49:52 +0100

python-psutil (0.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/python-psutil.examples
    - install examples
  * debian/rules
    - don't compress .py files

 -- Sandro Tosi <morph@debian.org>  Mon, 31 Oct 2011 08:47:46 +0100

python-psutil (0.3.0+r1123-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Sandro Tosi <morph@debian.org>  Tue, 20 Sep 2011 21:56:58 +0200

python-psutil (0.3.0+r1112-1) unstable; urgency=low

  * New upstream SVN snapshot
  * debian/rules
    - add 'get-orig-source' target

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Aug 2011 00:47:18 +0200

python-psutil (0.3.0-2) unstable; urgency=low

  * debian/rules
    - ignore (for now) tests error, so we can collect all of them
  * debian/source/format
    - switch to 3.0 (quilt) source format

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Aug 2011 17:55:06 +0200

python-psutil (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Aug 2011 17:29:35 +0200

python-psutil (0.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - extended packaging copyright years
  * debian/rules
    - use the correct PYTHONPATH when running tests, for all supported versions
  * debian/control
    - it now contains also extensions, so it's an arch:any package
    - move python-support from b-d-i to b-d
    - we now need python-all-dev in b-d
    - added procps to b-d, needed to run tests
  * debian/{control, pyversion}
    - removed pyversion, replaced by XS-P-V field

 -- Sandro Tosi <morph@debian.org>  Mon, 04 Apr 2011 20:26:42 +0200

python-psutil (0.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)
  * debian/python-psutil.doc-base
    - added doc-base

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Nov 2010 20:45:35 +0100

python-psutil (0.1.3-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
  * debian/rules
    - adjust tests list

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Mar 2010 23:27:55 +0100

python-psutil (0.1.2-2) unstable; urgency=low

  * debian/rules
    - fixed bashism in selecting tests to run; thanks to Raphael Geissert for
      the report; Closes: #535411
  * debian/control
    - bump Standards-Version to 3.8.2 (no changes needed)
    - bump b-d on debhelper to >= 7.2.18 to support Python 2.6 transition

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jul 2009 19:22:10 +0200

python-psutil (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #527594)

 -- Sandro Tosi <morph@debian.org>  Sat, 16 May 2009 09:17:55 +0200
